Back to Facebook
Apify·Facebook

List Facebook Comments

/apify/facebook-comments-scraperasync$0.0063 / result

Extract data from hundreds of Facebook comments from one or multiple Facebook posts. Get comment text, timestamp, likes count and basic commenter info. Download the data in JSON, CSV, Excel and use it in apps, spreadsheets, and reports. Runs as an Apify actor (20–120 s); results are dataset rows.

Charged per returned row plus the flat fee.

Input
  • startUrlsarrayrequired

    Valid facebook URL

  • resultsLimitinteger

    If this limit is not set as many results as possible are returned

  • includeNestedCommentsboolean

    If checked, the actor will return up to 3 levels of comments/replies for each post. Note that each reply/comment will be returned as a separate result. (default false)

  • viewOptionstring

    Choose the way the comments are sorted (default "RANKED_UNFILTERED")

    RANKED_THREADED, RECENT_ACTIVITY, RANKED_UNFILTERED

  • onlyCommentsNewerThanstring

    Limit how far back to the history the scraper should go. The date should be in YYYY-MM-DD or full ISO absolute format or in relative format e.g. 1 year, 2 months, 3 days, 4 hours, or 5 minutes. All time values are taken in UTC timezone. This add-on feature is billed separately.

Run it

curl -s https://sooma.dev/v1/run \ -H "Authorization: Bearer $SOOMA_API_KEY" \ -H "Content-Type: application/json" \ -d '{"provider":"apify","endpoint":"/apify/facebook-comments-scraper","input":{"startUrls":[{"url":"https://www.facebook.com/humansofnewyork/posts/pfbid0BbKbkisExKGSKuhee9a7i86RwRuMKFC8NSkKStB7CsM3uXJuAAfZLrkcJMXxhH4Yl"}]}}'

Or ask your agent: it will call inspect for this schema and run it over MCP.